#include <iostream>
#include<algorithm>
#include<cstdio>
#include<string>
#include<cmath>
using namespace std;

char mg[13][13];
/*
int ng[13][13];

struct maca {int a,b;} tb[109],niz[109];

vector<maca> um[13][13];

void resi(int poz)
{
    if(poz==u+1)
    {
        for(i=1;i<=n;i++)
        {
            for(j=1;j<=m;j++)
            {
                if(izr(i,j);
            }
        }
    }
    else
    for(i=poz;i<=u;i++)
    {
        x=tb[i].a; y=tb[i].b;
        if(marka[x][y]==0)
        {
            for(j=0;j<um[x][y].size();j++)
            {
                mm=um[x][y][j];
                marka[mm.a][mm.b]=1;
                ng[mm.a][mm.b]=8;
            }

            ng[x][y]=9;
            resi(poz+1);

            for(j=0;j<um[x][y].size();j++)
            {
                mm=um[x][y][j];
                marka[mm.a][mm.b]=0;
                ng[mm.a][mm.b]=8;
            }

            ng[x][y]=8;
            resi(poz+1);

            break;
        }
    }
}
*/

int main()
{
    int i,j,a,b,c,m,x,y,z,krx,kry,res=0,tv,f,n;
    string s;


    cin>>n>>m;

    for(i=1;i<=n;i++)
    {
        cin>>s;
        for(j=1;j<=m;j++)
        {
            mg[i][j]=s[j-1];
            /*
            if(s[j-1]=='.') mg[i][j]=7;
            else if(s[j-1]=='#') mg[i][j]=-1;
            else mg[i][j]=s[j-1]-'0';

            if(mg[i][j]==7) {u++; tb[u].a=i; tb[u].b=j;}
                */
        }
    }


    /*for(i=1;i<=n;i++)
    {
        for(j=1;j<=m;j++)
        {
            if(mg[i][j]==7)  //ako je prazno polje
            {
                for(h=j+1;h<=m;h++)
                {
                    if(mg[i][h]!=7) break;
                    mm.a=i; mm.b=h;
                    um[i][j].push_back(mm);
                }

                for(h=j-1;h>=1;h--)
                {
                    if(mg[i][h]!=7) break;
                    mm.a=i; mm.b=h;
                    um[i][j].push_back(mm);
                }

                for(h=i+1;h<=n;h++)
                {
                    if(mg[h][j]!=7) break;
                    mm.a=h; mm.b=j;
                    um[i][j].push_back(mm);
                }

                for(h=i-1;h>=1;h--)
                {
                    if(mg[h][j]!=7) break;
                    mm.a=h; mm.b=j;
                    um[i][j].push_back(mm);
                }

           }
        }
    }
    */

    for(i=1;i<=min(n,m);i++)
    {
        mg[i][i]='C';
    }

    for(i=1;i<=n;i++)
    {
        for(j=1;j<=m;j++)
        {
            cout<<mg[i][j];
        }
        cout<<endl;
    }

    return 0;
}